Authentication

Verify sign-in

POST
/auth/verify

Authorization

appId
headerx-app-id<token>

Your application ID. Required on app-tier and user-tier routes. Omitted on routes that authenticate with x-app-api-key only.

Request Body

application/json
  1. body
kind?"wallet"
Value in"wallet"
message*string
signature*string
earlyAccessCode?string

Response Body

200

application/json
  1. response
accessToken*string
refreshToken?string
user*
Example Request
curl -X POST 'https://api.t.sufwankhalid.com/auth/verify' \  -H 'Content-Type: application/json' \  -d '{  "message": "string",  "signature": "string"}'
Example Response
{  "accessToken": "string",  "refreshToken": "string",  "user": {    "id": "string"  }}